Bug 1440851 - [RFE] Add link to Kibana UI from OpenShift Provider
Summary: [RFE] Add link to Kibana UI from OpenShift Provider
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Erez Freiberger
QA Contact: Gilad Shefer
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 15:30 UTC by Loic Avenel
Modified: 2017-05-31 14:51 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:51:09 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Loic Avenel 2017-04-10 15:30:20 UTC
Description of problem: Add link to Kibana UI from OpenShift Provider


Version-Release number of selected component (if applicable): 5.8

Comment 2 Federico Simoncelli 2017-04-10 15:33:54 UTC
Erez can you add the links to the PRs for this? Thanks.

Comment 3 Erez Freiberger 2017-04-12 10:50:37 UTC
Those are the main PRs:

https://github.com/ManageIQ/manageiq/pull/13319 - Adding the External Logging feature
https://github.com/ManageIQ/manageiq/pull/13704 - External Logging for container nodes
https://github.com/ManageIQ/manageiq-ui-classic/pull/489 - The UI part of adding the button

SSO through the ManageIQ management-infra:management-admin service account support:
https://github.com/ManageIQ/manageiq-ui-classic/pull/550 - SSO support (along with the openshift-auth-proxy patch mentioned before)
https://github.com/openshift/openshift-ansible/pull/3821 - Adding wild card to the openshift router cert to allow the SSO to identify it.
https://github.com/fabric8io/openshift-auth-proxy/pull/11 - Adding session sharing endpoint for the openshift-auth-proxy to allow using SSO through a service account.

Comment 5 errata-xmlrpc 2017-05-31 14:51:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.